
Infrastructure - Task #1600

Story # 1530 (Closed): Redefine interface definitions to correspond with Tiers

Update Coordinating Node API Documentation

2011-05-31 15:23 - Nicholas Dexter

Status: Closed Start date: 2011-05-31

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version: Sprint-2011.26-Block.4   

Milestone: 2011-Block-3 Story Points:  

Product Version: *   

Description

Since the tiers have been removed, the leftmost column of the API method tables should be removed in the document.

CNIdentity.getSubjectInfo doc only has ServiceFailure and InvalidToken, also needs NotAuthorized and NotImplemented. Update

docs to reflect.

CNRegister.* make reference to capabilities, need specific type here.

Related issues:

Related to Infrastructure - Task #1603: Resolve missing types in org.dataone.... Closed 2011-05-31

History

#1 - 2011-06-02 14:17 - Dave Vieglais

- Status changed from New to In Progress

The tiers will remain in the left column even though they do not appear in the package names. The intent here is to provide an indication of what APIs

are required to be implemented on the CNs in order to support the respective tiers being implemented by the MNs. This will be clarified in the docs.

#2 - 2011-06-03 00:00 - Dave Vieglais

- Status changed from In Progress to Closed

Docs updated to correct issues noted here.
